<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: $ -->
<xsl:stylesheet exclude-result-prefixes="d"
                
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:d="http://docbook.org/ns/docbook">

    <xsl:template match="d:tip/d:title|
                         d:caution/d:title|
                         d:warning/d:title|
                         d:note/d:title|
                         d:important/d:title"/>
    <xsl:template match="d:tip/d:title|
                         d:caution/d:title|
                         d:warning/d:title|
                         d:note/d:title|
                         d:important/d:title" mode="wiki"/>
    <xsl:template match="d:title" mode="admon">
        <xsl:value-of select="normalize-space(.)"/>
    </xsl:template>

    <xsl:template match="*" mode="admon"/>

    <xsl:template match="d:caution">
        <xsl:call-template name="admonition.box"/>
    </xsl:template>
    <xsl:template match="d:note">
        <xsl:call-template name="admonition.box"/>
    </xsl:template>
    <xsl:template match="d:tip">
        <xsl:call-template name="admonition.box"/>
    </xsl:template>
    <xsl:template match="d:warning">
        <xsl:call-template name="admonition.box"/>
    </xsl:template>
    <xsl:template match="d:important">
        <xsl:call-template name="admonition.box"/>
    </xsl:template>
    <!-- -->
    <xsl:template match="d:caution" mode="wiki">
        <xsl:call-template name="admonition.box">
          <xsl:with-param name="content">
            <xsl:apply-templates mode="wiki"/>
          </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="d:note" mode="wiki">
        <xsl:call-template name="admonition.box">
          <xsl:with-param name="content">
            <xsl:apply-templates mode="wiki"/>
          </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="d:tip" mode="wiki">
        <xsl:call-template name="admonition.box">
          <xsl:with-param name="content">
            <xsl:apply-templates mode="wiki"/>
          </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="d:warning" mode="wiki">
        <xsl:call-template name="admonition.box">
          <xsl:with-param name="content">
            <xsl:apply-templates mode="wiki"/>
          </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="d:important" mode="wiki">
        <xsl:call-template name="admonition.box">
          <xsl:with-param name="content">
            <xsl:apply-templates mode="wiki"/>
          </xsl:with-param>
        </xsl:call-template>
    </xsl:template>


    <xsl:template name="admonition.box">
        <xsl:param name="content">
          <xsl:apply-templates/>
        </xsl:param>
        <xsl:call-template name="call.block.wikitemplate">
            <xsl:with-param name="template">
                <xsl:choose>
                    <xsl:when test="self::d:caution">Caution</xsl:when>
                    <xsl:when test="self::d:warning">Warning</xsl:when>
                    <xsl:when test="self::d:note">Note</xsl:when>
                    <xsl:when test="self::d:tip">Tip</xsl:when>
                    <xsl:when test="self::d:important">Important</xsl:when>
                    <xsl:otherwise>
                        <xsl:message>Unknown admonition. Using Note.</xsl:message>
                        <xsl:text>Note</xsl:text>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="content">
                <xsl:if test="d:title">
                    <xsl:apply-templates select="d:title" mode="admon"/>
                </xsl:if>
                <xsl:text>|</xsl:text>
                <xsl:value-of select="$content"/>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
