<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: division.xsl 10194 2006-06-08 13:38:26Z toms $ -->
<xsl:stylesheet exclude-result-prefixes="d"
                
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:d="http://docbook.org/ns/docbook">


<xsl:template match="d:set">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="d:set" mode="wiki">
   <xsl:apply-templates mode="wiki"/>
</xsl:template>


<xsl:template match="d:book">
   <xsl:call-template name="comment.with.title">
     <xsl:with-param name="node" select="self::d:book"/>
   </xsl:call-template>
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="d:book" mode="wiki">
   <xsl:call-template name="comment.with.title">
     <xsl:with-param name="node" select="self::d:book"/>
   </xsl:call-template>
   <xsl:apply-templates mode="wiki"/>
</xsl:template>


<xsl:template match="d:bookinfo"/>
<xsl:template match="d:bookinfo" mode="wiki"/>


<xsl:template match="d:part">
   <xsl:apply-templates/>
</xsl:template>
<xsl:template match="d:part/d:title"/>

<xsl:template match="d:part" mode="wiki">
   <xsl:apply-templates mode="wiki"/>
</xsl:template>
<xsl:template match="d:part/d:title" mode="wiki"/>



<xsl:template match="d:chapter|d:appendix">
   <xsl:if test="@id and $add.id.as.comments">
      <xsl:call-template name="comment">
        <xsl:with-param name="node" select="@id"/>
      </xsl:call-template>
   </xsl:if>
   <xsl:apply-templates/>
   <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="d:chapter|d:appendix" mode="wiki">
   <xsl:if test="@id and $add.id.as.comments">
      <xsl:call-template name="comment">
        <xsl:with-param name="node" select="@id"/>
      </xsl:call-template>
   </xsl:if>
   <xsl:apply-templates mode="wiki"/>
   <xsl:text>&#10;</xsl:text>
</xsl:template>


<xsl:template match="d:chapter/d:title|d:appendix/d:title"/>
<xsl:template match="d:chapter/d:title|d:appendix/d:title" mode="wiki"/>


<xsl:template match="d:article">
   <xsl:if test="@id and $add.id.as.comments">
      <xsl:call-template name="comment">
        <xsl:with-param name="node" select="@id"/>
      </xsl:call-template>
   </xsl:if>
   <xsl:apply-templates/>
   <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="d:article" mode="wiki">
   <xsl:if test="@id and $add.id.as.comments">
      <xsl:call-template name="comment">
        <xsl:with-param name="node" select="@id"/>
      </xsl:call-template>
   </xsl:if>
   <xsl:apply-templates mode="wiki"/>
   <xsl:text>&#10;</xsl:text>
</xsl:template>


<xsl:template match="d:abstract">
   <xsl:param name="content">
      <xsl:apply-templates/>
   </xsl:param>

   <xsl:value-of select="normalize-space($content)"/>
</xsl:template>

<xsl:template match="d:abstract" mode="wiki">
   <xsl:param name="content">
      <xsl:apply-templates mode="wiki"/>
   </xsl:param>

   <xsl:value-of select="normalize-space($content)"/>
</xsl:template>


</xsl:stylesheet>