<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: param.xsl 9778 2006-05-11 12:43:55Z toms $ -->
<xsl:stylesheet exclude-result-prefixes="d"
                
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:d="http://docbook.org/ns/docbook">

<!--[[Image:Wiki.png|frame|The logo for this Wiki]]-->
    <xsl:template match="d:figure">
        <xsl:text>&#10;[[Image:</xsl:text>
        <xsl:apply-templates select="d:mediaobject"/>
        <xsl:text>|frame</xsl:text>
        <xsl:if test="d:title">
            <xsl:text>|</xsl:text>
            <xsl:apply-templates select="d:title"/>
        </xsl:if>
        <xsl:text>]]&#10;</xsl:text>
    </xsl:template>
    <xsl:template match="d:figure" mode="wiki">
        <xsl:text>&#10;[[Image:</xsl:text>
        <xsl:apply-templates select="d:mediaobject" mode="wiki"/>
        <xsl:text>|frame</xsl:text>
        <xsl:if test="d:title">
            <xsl:text>|</xsl:text>
            <xsl:apply-templates select="d:title" mode="wiki"/>
        </xsl:if>
        <xsl:text>]]&#10;</xsl:text>
    </xsl:template>

    <xsl:template match="d:figure/d:title" name="figuretitle">
        <xsl:value-of select="normalize-space(.)"/>
    </xsl:template>
    <xsl:template match="d:figure/d:title" mode="wiki">
        <xsl:call-template name="figuretitle"/>
    </xsl:template>

    <xsl:template match="d:mediaobject">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="d:mediaobject" mode="wiki">
        <xsl:apply-templates mode="wiki"/>
    </xsl:template>

    <xsl:template match="d:inlinemediaobject">
        <xsl:param name="content">
          <xsl:apply-templates/>
        </xsl:param>
        <xsl:text> [[Image:</xsl:text>
        <xsl:value-of select="$content"/>
        <xsl:text>]] </xsl:text>
    </xsl:template>
    <xsl:template match="d:inlinemediaobject" mode="wrap">
        <xsl:apply-templates select="self::d:inlinemediaobject"/>
    </xsl:template>
    <xsl:template match="d:inlinemediaobject" mode="wiki">
        <xsl:apply-templates select="self::d:inlinemediaobject">
            <xsl:with-param name="content">
                <xsl:apply-templates mode="wiki"/>
            </xsl:with-param>
        </xsl:apply-templates>
    </xsl:template>


    <xsl:template match="d:imageobject[@role='html']">
        <xsl:value-of select="d:imagedata/@fileref"/>
    </xsl:template>
    <xsl:template match="d:imageobject[@role='html']" mode="wiki">
        <xsl:value-of select="d:imagedata/@fileref"/>
    </xsl:template>


    <xsl:template match="d:imageobject"/><!-- Empty -->
    <xsl:template match="d:imagedata"/>
    <xsl:template match="d:imageobject" mode="wiki"/><!-- Empty -->
    <xsl:template match="d:imagedata" mode="wiki"/>


</xsl:stylesheet>