<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: $ -->
<xsl:stylesheet exclude-result-prefixes="d"
                
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:d="http://docbook.org/ns/docbook">


    <xsl:template match="d:table">
        <xsl:text>&#10;{|</xsl:text>
        <xsl:value-of select="$table.style"/>
        <xsl:text>&#10;</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>|}&#10;&#10;</xsl:text>
    </xsl:template>
    
    <xsl:template match="d:informaltable">
        <xsl:text>&#10;{|</xsl:text>
        <xsl:value-of select="$table.style"/>
        <xsl:text>&#10;</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>|}&#10;&#10;</xsl:text>        
    </xsl:template>
    
    <xsl:template match="d:table/d:title">
        <xsl:variable name="heading">
            <xsl:call-template name="inline.boldseq">
                <xsl:with-param name="contents">
                    <xsl:text>Table: </xsl:text>
                    
                    <xsl:apply-templates/>
                </xsl:with-param>
            </xsl:call-template>            
        </xsl:variable>
        
        <xsl:text>|+</xsl:text>
        <xsl:value-of select="normalize-space($heading)"/>
        <xsl:text>&#10;</xsl:text>
    </xsl:template>
    
    <xsl:template match="d:table/d:title/text()">
        <xsl:value-of select="normalize-space(.)"/>
    </xsl:template>

    <xsl:template match="d:colspec"/>
    
    <xsl:template match="d:tgroup">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="d:tbody">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="d:thead|d:tfoot">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="d:thead/d:row|d:tfoot/d:row">
        <xsl:text>! </xsl:text>
        <xsl:value-of select="$table.header.style"/>
        <xsl:text> | </xsl:text>
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="d:thead/d:row/d:entry">
        <xsl:if test="ancestor::d:colspec/@colwidth"></xsl:if>
        <xsl:if test="preceding-sibling::d:entry">
            <xsl:text> !! </xsl:text>
            <xsl:value-of select="$table.header.style"/>
            <xsl:text> | </xsl:text>
        </xsl:if>   
        <xsl:apply-templates/>
        <xsl:if test="not(following-sibling::d:entry)">
            <xsl:text>&#10;</xsl:text>    
        </xsl:if>        
    </xsl:template>
        
    <xsl:template match="d:row">
        <xsl:text>|-&#10;</xsl:text>
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="d:entry">
        <xsl:variable name="contents">
            <xsl:apply-templates/>    
        </xsl:variable>
        <xsl:text>| </xsl:text>
        <xsl:if test="$table.entry.style != '' and ../following-sibling::d:row">
            <xsl:value-of select="$table.entry.style"/>
            <xsl:text> | </xsl:text>
        </xsl:if>
        <xsl:value-of select="normalize-space($contents)"/>
        <xsl:text>&#10;</xsl:text> 
    </xsl:template>
    
    <xsl:template match="d:entry/d:para">
        <xsl:call-template name="para"/>
    </xsl:template>

</xsl:stylesheet>
