<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: $ -->
<xsl:stylesheet exclude-result-prefixes="d"
                
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:d="http://docbook.org/ns/docbook">

    <xsl:template name="verbatim">
        <xsl:param name="contents" select="."/>
        
        <xsl:if test="preceding-sibling::d:para">
            <xsl:text>&#10;</xsl:text>
        </xsl:if>
        <xsl:text>&lt;pre&gt;</xsl:text>
        <xsl:value-of select="$contents"/>
        <xsl:text>&lt;/pre&gt;&#10;</xsl:text>
    </xsl:template>
    
    <xsl:template match="d:screen" mode="wiki">
        <xsl:call-template name="verbatim">
            <xsl:with-param name="contents">
                <xsl:apply-templates mode="wiki"/>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="d:screen" mode="wrap">
        <xsl:call-template name="verbatim">
            <xsl:with-param name="contents">
                <xsl:apply-templates mode="wrap"/>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    
    <xsl:template match="d:screen/text()">
        <xsl:value-of select="."/>
    </xsl:template>
</xsl:stylesheet>
